Subject: Data collection for remote participation

From: Vinayak Hegde <[email-masked]>
Date: Mon, 12 Aug 2013 18:39:32 +0530

Hi,

There has been a lot of discussion on the IETF mailing list regarding
improving remote participation and improving diversity on the mailing
lists and in the working groups. I think the two are related. I think
everyone broadly agrees that remote participation can be better. If
nothing else, it will tell about who the remote participants are. I
had proposed a few steps in this direction by improving the data
collection for remote participation in the IAOC Sunday meeting.
Posting them below again for discussion on the mailing lists.

It can be a simple form that asks the following questions (Can be
refined - this is just a start)
1. Name:
2. Country:
3. Duration of participation in IETF (either in number of years or
number of meetings)
4. Employer ?
5. Working groups interested in.

This can be voluntary and can be done pre-IETF meeting. As of now
there is no structured way to know how many people wre active in the
jabber room or listening on the audio stream.

I can see that this has multiple benefits.
1. If the number of participants in a certain WG is more, it would
push the WG chair to request for the slides/agenda available earlier.

2. If there are consistently more participation from around the world,
the the WG chair can request for a meetecho recording so people can
follow the group even if they cannot attend the meeting live. This
could be useful for people who have clashing schedules as well.

3. Over a longer period of time, it can help IETF plan and encourage
remote participation. Currently there is no hard data on number of
remote participants. There is however a lot of hand waving so this
will get some useful data into the system.

-- Vinayak

---

From: Alejandro Acosta <[email-masked]>
Date: Mon, 12 Aug 2013 10:35:03 -0430

Hi Vinayak,
  First, well done, I fully agree with your email. I have two
questions for you/the group:

1)  I wonder if in your proposal you are considering some sort of
charge for remote participation. IMHO I do not think we are yet
prepare to charge.
2) When you mention that filling the responses (pre-IETF) is
voluntary, so, I guess it's not mandatory, am I right?. We should also
define what pre-IETF is..., it sounds obvious but it can be read as
the pre-WG session.

  I would add to your proposal some kind of activities from local ISOC chapters.

Thanks,

Alejandro,

-- 
=====
^A.......o$

---

From: Janet P Gunn <[email-masked]>
Date: Mon, 12 Aug 2013 11:14:35 -0400

As someone who has done it both ways (in person and remotely) I have a 
couple of comments.

Having the slides available early is an advantage to BOTH in-person and 
remote participants.

As a remote participant I "need" the slides available about 30 min before 
the session.
As a participant (in-person or remote) it is VERY helpful to have the 
slides available much earlier.
So I do not think "how many remote participants for this session" is a 
useful parameter for "how important is it to get the slides out early"

On the other hand, I DO think  that the number of remote participants for 
a particular session IS a useful parameter for "how important is it to 
have an active jabber scribe" and "how important is it to make sure the 
audio streaming is working well."

As a remote participant the list of "working groups I am interested in" is 
different from the list of "working groups I plan to participate in 
remotely".
There is a SMALL list of working groups I am willing to get up at 2:30 AM 
(my time) to participate in (otherwise I MIGHT look at the slides and read 
the minutes when they come out)
There is a much LARGER list of working groups I  will participate in 
remotely if they are in (my time) "normal working hours".

There is nothing you can do about this a priori, but if the records show 
that, for instance -  whenever IETF is in North America, WG abc 
consistently has a large number of remote participants from Europe, and WG 
xyz consistently has a large number of remote participants from Asia - 
that could be factored into the agenda scheduling process.

In-person participants are not asked to list the WG they are interested 
in.  That is accomplished by the blue sheets.  I wonder if there is a way 
to do something analogous to the blue sheets for remote participants, 
whether  through jabber, email, doodle-poll, wiki, whatever. 

I agree with your points 2 and 3.

Janet

[email-masked] wrote on 08/12/2013 09:09:32 AM:

> From: Vinayak Hegde <[email-masked]>
> To: IETF Discussion Mailing List <[email-masked]>
> Date: 08/12/2013 09:19 AM
> Subject: Data collection for remote participation
> Sent by: [email-masked]
> 
> Hi,
>

---

From: Vinayak Hegde <[email-masked]>
Date: Mon, 12 Aug 2013 20:57:35 +0530

On Mon, Aug 12, 2013 at 8:44 PM, Janet P Gunn <[email-masked]> wrote:
> As a participant (in-person or remote) it is VERY helpful to have the slides
> available much earlier.

Agreed. What I meant was it strengthens the case to make slides
available before hand.

> On the other hand, I DO think  that the number of remote participants for a
> particular session IS a useful parameter for "how important is it to have an
> active jabber scribe" and "how important is it to make sure the audio
> streaming is working well."

Agreed. Again,  it strengthens the case to get it done right. This
part has been working well though.

> remotely if they are in (my time) "normal working hours".

Agreed. there are a couple of nuances here. There is a list of groups
I would wake up in the middle of the night so that I can follow the
discussion realtime. The other is a list of groups for which I would
like to have meetecho recording so that I can follow more closely
later.

> that, for instance -  whenever IETF is in North America, WG abc consistently
> has a large number of remote participants from Europe, and WG xyz
> consistently has a large number of remote participants from Asia -  that
> could be factored into the agenda scheduling process.

Yes exactly. Great point. I forgot to mention this. Right now we
cannot see patterns as we do not have enough data. Just moving around
the WG scheduling can help a lot more people participate.

> In-person participants are not asked to list the WG they are interested in.
> That is accomplished by the blue sheets.  I wonder if there is a way to do
> something analogous to the blue sheets for remote participants, whether
> through jabber, email, doodle-poll, wiki, whatever.

Yeah. I had in mind something like doodle. Simple, lightweight works
and gets data.

Also we can start this on a WG-by-WG groups though an IETF wide tool
would be useful.

---

From: Janet P Gunn <[email-masked]>
Date: Mon, 12 Aug 2013 11:49:30 -0400

> part has been working well though.

Not necessarily.  There was one WG where I had to send an email to the WG 
mailing list asking for someone to provide slide numbers on jabber.

Janet

---

From: Vinayak Hegde <[email-masked]>
Date: Mon, 12 Aug 2013 21:26:30 +0530

> charge for remote participation. IMHO I do not think we are yet

This was a suggestion but I don't think it will work well. OTOH an
argument can be made that money gathered from charging remote
participants can be used to fund better tools for remote
participation.

> define what pre-IETF is..., it sounds obvious but it can be read as

I am proposing it not be mandatory but I am sure many people will be
happy to help. It should be unobtrusive and be the equivalent of
signing the blue sheets.

>   I would add to your proposal some kind of activities from local ISOC chapters.

Did not understand. Can you elaborate ?

-- Vinayak

---

From: John Leslie <[email-masked]>
Date: Mon, 12 Aug 2013 16:06:21 -0400

Janet P Gunn <[email-masked]> wrote:
>  
>> Again, it strengthens the case to get it done right. This part has been
>> working well though.
> 

   ... and Janet was merely the one who _did_ so. Others did their best
to guess at the slide numbers.

   At least one-third of the sessions I listened to failed to provide
all we are told to expect in the way of jabber support. :^(

   OTOH, we _do_ get what we pay for; so I don't mean to complain.

--
John Leslie <[email-masked]>

---

From: Alejandro Acosta <[email-masked]>
Date: Mon, 12 Aug 2013 19:13:51 -0430

> Did not understand. Can you elaborate ?

  Well, what I said is not directly related with your proposal, but
it's something like this: As you know ISOC has several chapters around
the world, all of them with many member, I have always believed it's a
good idea to organize local meetings to follow the IETF or at least
some WG sessions remotely. Of course ISOC has some kind of information
of their member (not much but they have something)

-- 
=====
^A.......o$

---

From: Douglas Otis <[email-masked]>
Date: Mon, 12 Aug 2013 18:00:14 -0700

>   OTOH, we _do_ get what we pay for; so I don't mean to complain.

Dear John,

You are right about getting your money's worth.  In the case of remote participants, they are charged nothing and receive no credit for having done so.  Often their input is ignored as well. 

A radical solution for meaningful remote participation is to change how A/V in meeting rooms operate.  This change will require a small amount of additional equipment and slightly different room configurations.

1) Ensure exact digital interfaces driving projectors are fully available remotely.  

2) Ensure Audio access requires an identified request via XMPP prior to enabling either a remote or local audio feed.

3) RFI tags could facilitate enabling local audio feed instead of an identified request via XMPP.

4) In the event of the local venue loosing Internet access, the device regulating A/V presentations must be able to operate in a virtual mode where only remote participants are permitted to continue the meeting proceedings.

5) Important participants should plan for alternative modes of Internet access to remain part of the proceedings.

6) Develop a simple syntax used on XMPP sessions to:
 1) signify a request to speak on X 
 2) withdraw a request to speak on X
 3) signify support of Y
 4) signify non-support of Y
 5) signal when a request has been granted or revoked.  For local participants this could be in the form of a red or green light at their microphone. 

7) Develop a control panel managed by chairs or their proxies that consolidate and sequence requests and log support and nonsupport indications and the granting of requests.

8) Chairs should be able to act as proxies for local participants lacking access to XMPP. 

9) Chairs should have alternative Internet access independent of that of the venue's.
 
10) Establish a reasonable fee to facilitate remote participants who receive credit for their participation equal to that of being local.

11) The device regulating A/V presentations must drive both the video and audio portions of the presentations.  A web camera in a room is a very poor replacement.

12) All video information in the form of slides and text must be available from the Internet prior to the beginning of the meeting.

Regards,
Douglas Otis

---

From: Dave Cridland <[email-masked]>
Date: Tue, 13 Aug 2013 08:40:12 +0100

On Tue, Aug 13, 2013 at 2:00 AM, Douglas Otis <[email-masked]> wrote:

> 10) Establish a reasonable fee to facilitate remote participants who
> receive credit for their participation equal to that of being local.
>

I understand the rationale here, but I'm nervous about any movement toward
a kind of "pay-to-play standardization". The idea of "buying credit" I find
slightly weird, too - if I spend enough, can I get credit for other
people's ideas, too? How much is TCP?

I'd be happy to pay for good quality remote participation, but I'd be
unhappy if this blocked participation in any significant way. One option
might be to give chairs some heavy influence on remote burserships.

Dave.

---

From: John Leslie <[email-masked]>
Date: Tue, 13 Aug 2013 06:24:59 -0400

Dave Cridland <[email-masked]> wrote:
> a kind of "pay-to-play standardization".

   Alas, that is what we have now. :^(

   There are a certain number of Working Groups where it's standard
operating practice to ignore any single voice who doesn't attend an
IETF week to defend his/her postings.

   I don't always understand what Doug is asking for; but I suspect
he is proposing to define a remote-participation where you get full
opportunity to defend your ideas. This simply doesn't happen today.

> I'd be happy to pay for good quality remote participation, but I'd
> be unhappy if this blocked participation in any significant way.

   The fact remains that full remote participation has costs. These
costs only become greater if we pretend that we can expect current
WGCs to do the additional work.

> One option might be to give chairs some heavy influence on remote
> burserships.

   Do you mean
" 
" bursarship: noun
"   a grant or payment made to support a student's education.

   That seems premature at this point: the likely costs aren't neatly
correlated to number of remote participants; so it's not clear there's
any reason to "support" an individual, rather than support the tools.

   Today, requests for IETF-week sessions include checkoffs for
"WebEx required" and "MeetEcho" required. AFAIK these simply generate
requests to cisco and meetecho to subsidize the tool for that session.
Cisco seems to automatically approve using the fully-automated tool,
while meetecho seems to need to allocate staff for setup.

   But of course these checkoffs happen long before the WGC knows of
individuals desiring to participate remotely. :^(

   Conceivably what we need is an automated tool to receive offers
to (partially) subsidize the cost of a tool for a particular session.

---

From: S Moonesamy <[email-masked]>
Date: Mon, 12 Aug 2013 09:28:12 -0700

Hi Vinayak,
>jabber room or listening on the audio stream.

As the data collection is voluntary it should not be a problem to ask 
for the information mentioned above.

>push the WG chair to request for the slides/agenda available earlier.

I suggest asking the working group for the agenda if it is not available.

>could be useful for people who have clashing schedules as well.

Yes.

>will get some useful data into the system.

There is the usual hand waving. :-)  It is a good start.  The 
information available over a period of time might provide a view of 
whether there is any improvement in remote participation.

>participants can be used to fund better tools for remote

After reading about the remote participation issues which have been 
discussed on this mailing list I don't think that the problem is the tools.

Regards,
S. Moonesamy

---

From: John C Klensin <[email-masked]>
Date: Tue, 13 Aug 2013 11:36:26 -0400

--On Tuesday, August 13, 2013 06:24 -0400 John Leslie
<[email-masked]> wrote:

>>> 10) Establish a reasonable fee to facilitate remote
>>> participants who receive credit for their participation
>>>     equal to that of being local.
>> > 
>> 
>> I understand the rationale here, but I'm nervous about any
>> movement toward a kind of "pay-to-play standardization".
> 
>    There are a certain number of Working Groups where it's
> standard operating practice to ignore any single voice who
> doesn't attend an IETF week to defend his/her postings.

Thee is also a matter of equity even if one were to ignore the
costs to the community of enabling remote participation.   Some
fraction of the registration fee goes to support IETF overhead
activities that are not strictly associated with the costs of
particular meetings.  Although it would be a pity to turn us
into a community of hair-splitting amateur accountants [1], it
is inappropriate to expect those who participate in f2f meetings
to fully subsidize those who participate remotely.
 
>...
>   I don't always understand what Doug is asking for; but I
> suspect he is proposing to define a remote-participation where
> you get full opportunity to defend your ideas. This simply
> doesn't happen today.
 
>...
>> One option might be to give chairs some heavy influence on
>> remote burserships.
>...
>    That seems premature at this point: the likely costs aren't
> neatly correlated to number of remote participants; so it's
> not clear there's any reason to "support" an individual,
> rather than support the tools.

Worse, enabling WG Chairs to made de facto decisions about who
participates or not would have the appearance of enabling the
worst types of abuse.  It would be worse than figuring out how
to call on advocates of only one  position to speak.  Even if
those abuses never occurred, the optics and risk would be bad
news.[1[  

>...
>    Conceivably what we need is an automated tool to receive
> offers to (partially) subsidize the cost of a tool for a
> particular session.

Seems to me to be the wrong way to go.  I wouldn't want to
discourage Cisco's generosity.  And I think it is time to
declare the "Meetecho experiment" to have been concluded
successfully.  It can use some improvements and I hope it
continues to evolve (I could say the same thing about WebEx but
I'm less optimistic about evolution).  But it works well.  If we
want to use it, it is probably time to take it seriously.
Certainly that means having a available for all relevant
sessions, rather than constrained by the size of the current
team and their resources.  If that means training for operators
other than the core team, having to put in-room operators on a
non-volunteer basis, and/or IETF assumption of equipment
expenses, that would, IMO, be completely appropriate (of course,
that interacts with your comment about remote participation
having costs).

Similarly, "everyone pays but some pay less or zero and we set
up a procedure and/or bureaucracy to figure out who the latter
are" seems like a bad idea.

Simpler suggestion (this interacts with the "data collection"
thread):

(1) Remote participants are required [3] to register (remote
lurkers should continue to get a free ride for multiple reasons).

(2) The IAOC sets and announces a remote registrant fee based on
overhead expenses (those not associated with physical presence
at meetings).  Marginal costs of remote participation are
treated as overhead, not direct meeting expenses, because they
benefit the whole community.

(3) Remote participants pay that fee, or part of it, on a good
faith and conscience "what you can afford" basis with
information about what any particular person pays kept
confidential by the secretariat.  Again, we depend on good
faith. Financially, whatever we collect is better than what we
collect today.  Collecting some fee is better than none and
either too high a fee or the necessity to beg would discourage
registration or, worse, participation.

(4) If the IAOC or ISOC decide to conduct a diversity campaign
to help keep those fees low, more power to them, but such a
campaign (or its success) are not requirements for the above
model working.

best,
    john

[1] Possibly an improvement on a community of amateur lawyers,
perhaps not.

[2] Incidentally, one of the advantages of the otherwise clumsy
and efficient "mic lines" is that they make the queue clear to
everyone.

[3] We should recognize that we have no realistic enforcement
ability, at least unless non-registration is used to subvert IPR
rules. Any mechanism we might devise would not stop the truly
malicious.  This has to be a good faith requirement.

---

From: Mark Nottingham <[email-masked]>
Date: Fri, 16 Aug 2013 11:48:15 +1000

> 1) Ensure exact digital interfaces driving projectors are fully available remotely.  

That would be fantastic, if feasible. Much simpler than sharing through software.

> 2) Ensure Audio access requires an identified request via XMPP prior to enabling either a remote or local audio feed.

Hm.

> 3) RFI tags could facilitate enabling local audio feed instead of an identified request via XMPP.

Could be quite interesting; many conferences now provide attendees with RFID tags...

> 4) In the event of the local venue loosing Internet access, the device regulating A/V presentations must be able to operate in a virtual mode where only remote participants are permitted to continu…

That seems… extreme.

> 5) Important participants should plan for alternative modes of Internet access to remain part of the proceedings.

Not exactly practical.

> 5) signal when a request has been granted or revoked.  For local participants this could be in the form of a red or green light at their microphone. 

The W3C does much of this already with IRC bots, e.g.:
  http://www.w3.org/2001/12/zakim-irc-bot.html

(also can pick a scribe, track an agenda, etc.)

> 7) Develop a control panel managed by chairs or their proxies that consolidate and sequence requests and log support and nonsupport indications and the granting of requests.

See above (I think).

> 8) Chairs should be able to act as proxies for local participants lacking access to XMPP. 

Not practical, unless they delegate.

> 9) Chairs should have alternative Internet access independent of that of the venue's.

Seems extreme.

> 12) All video information in the form of slides and text must be available from the Internet prior to the beginning of the meeting.

Cheers,

--
Mark Nottingham   http://www.mnot.net/

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 16 Aug 2013 04:59:20 -0400

Maybe I am missing something.
The reason we have face-to-face meetings is because there is value in 
such meetings that can not reasonably be achieved in other ways.
I would like remote participation to be as good as possible.  But if 
would could achieve "the same as being there" then we should seriously 
consider not meeting face-to-face.
Conversely, until the technology gets that good, we must not penalize 
the face-to-face meeting for failures of the technology.

Yours,
Joel

---

From: John C Klensin <[email-masked]>
Date: Fri, 16 Aug 2013 07:25:52 -0400

--On Friday, August 16, 2013 04:59 -0400 "Joel M. Halpern"
<[email-masked]> wrote:

> The reason we have face-to-face meetings is because there is
> value in such meetings that can not reasonably be achieved in
> other ways.
> I would like remote participation to be as good as possible.
> But if would could achieve "the same as being there" then we
> should seriously consider not meeting face-to-face.
> Conversely, until the technology gets that good, we must not
> penalize the face-to-face meeting for failures of the
> technology.

Joel,

I certainly agree with your conclusion.  While I hope the intent
wasn't to penalize the face-to-face meeting, there have been
several suggestions in this thread that I believe are
impractical and a few that are probably undesirable even if they
were practical.   Others, such as improved automation, are
practical if we want to make the effort, would probably help,
and, fwiw, have been suggested by multiple people in multiple
threads.

I do believe it would be helpful for everyone involved in the
discussion to be careful about their reactions and rhetoric.
While it is certainly possible to go too far in any given
direction, significant and effective remote participation will
almost certainly require some adjustments by the people in the
room.  We've already made some of those adjustments: for example
while it is inefficient and sometimes doesn't work well, using
Jabber as inbound channel with someone in the room reading
Jabber input at the Mic does help remote participants at some
cost to the efficient flow of the f2f discussions.  

Perhaps that penalizes the face to face participants.  I believe
it is worth it and that it would be worthwhile going somewhat
further in that direction, e.g., by treating remote participants
as a separate mic queue.  I also see it as very closely related
to some other tradeoffs: for example, going to extra effort to
be inclusive and diverse requires extra effort by existing f2f
participants and very carefully balancing costs -- higher costs
and even costs at current levels discourage broader participants
but many ways of increasing diversity also increase costs.

Wrt "not meeting face-to-face", I don't see it happening, even
with technology improvements.  On the other hand, the absolutely
most effective thing we could do to significantly decrease costs
for those who need the f2f meetings but are cost-sensitive would
be to reverse the trends toward WG substituting interim meetings
for work on mailing lists, toward extending the IETF meeting
week to include supplemental meetings, and even to move toward
two, rather than three, meetings a year.  Those changes,
especially the latter two, would probably require that remote
participation be much more efficient and effective than it is
today, but would not require nearly the level of perfection
required to eliminate f2f meetings entirely.  And any of the
three would "penalize" those who like going to extended f2f
meetings and/or prefer working that way and who have effectively
unlimited travel support and related resources.

best,
    john

---

From: Hadriel Kaplan <[email-masked]>
Date: Fri, 16 Aug 2013 08:07:56 -0400

> IETF week to defend his/her postings.

I don't see that happening in the WGs I attend - when remote participants post to jabber, the jabber scribes get mic time.  I think what you mean isn't really that physical participants "ignore" remote ones, but more that remote participants don't have as much impact/weight with their input/arguments than physical participants do.  Is that what you mean?

> opportunity to defend your ideas. This simply doesn't happen today.

Then fix that problem.

Which solution addresses that problem:
1) Make remote participants pay money.
2) Add a separate mic line.
3) Add remote controls for A/V equipment.
4) Add XMPP controls for mic-line and humming.
5) None of the above.

ISTM it's (5).  Working Groups don't ignore remote participant voices because they don't pay money.  They don't ignore them because they don't have a separate mic.  They don't ignore them because they don't have A/V control.  They don't ignore them because they don't have XMPP controls.

WG physical participants "ignore" remote ones because they're not physically present.  We're human beings.  Human beings have a subconscious connection/empathy with other human beings based on our senses, that does not exist when we only read their words or only hear them speaking... especially when it's hear them by-proxy as the current jabber model uses.  This isn't news to anyone - it's why people travel to meet other people, and why the telepresence market exists.

The next step up from our current jabber-scribe model is to have audio input - the ability for remote participants to speak using their own voice, when it's their turn at the 'mic'.  The next step up after that is video input, where remote participants can be seen as well as heard.  Both of those are technically achievable, and possibly even practical to implement - though that's something the folks who run and manage the meetings would have to decide, since they'd know a lot more than us about that.

-hadriel

---

From: Arturo Servin <[email-masked]>
Date: Fri, 16 Aug 2013 09:30:54 -0300

Well, we just had a technical session about Real Time web.

	This seems to me like the perfect application to show and eat own dog food.

Regards,
as

---

From: Hadriel Kaplan <[email-masked]>
Date: Fri, 16 Aug 2013 09:10:54 -0400

Since the topic keeps getting raised... I think that charging remote participants any fee is a really terrible idea.  One of the really great things about the IETF is its open and free (as in beer) participation policy.  The real work is supposed to be done on mailing lists, and there's no charge or restriction on who can send emails.  That policy is actually quite rare for standards bodies, and makes our output better not worse.

Obviously we discuss things and do real work at physical meetings too, and they're not simply social occasions.  At the end of the day we actually want people to come to the physical meetings, but the realities of life make that impossible for many.  But charging remote participants for better tools/experience isn't the answer.  At least for me, whenever I'm discussing a draft mechanism I actually *want* input from remote participants.  I don't want it to be only from folks who can afford to provide input.  I want it from people who can't get approval for even a $100 expense, from people who are between jobs, people from academia, and even from just plain ordinary users rather than just vendors or big corps.  At one time we worried that free remote participation would lead to too many random participants to get work done, but that hasn't become a problem afaict.  Please don't whittle it down further to only those who can afford it.

I would do anything whatsoever to avoid charging remote participants, even if it means raising the fee for f2f attendees to subsidize remote-participant tooling costs.

In that vein, I think a lot of the f2f attendees get our reg-fee paid by our employer and another $50 or even $100 isn't going to make a bit of difference for us - for those whom it would make a difference, I'd create another category of f2f registration fee like 'Self-paying Attendee' or some such.  Selecting the new category would drop your fee by the $50 or $100, but wouldn't change what gets displayed on your badge or anything.  It would be purely optional, with no guilt attached for not paying it and no visible difference to anyone else.  Just put some words on the registration form page saying something like "If you cannot expense your registration fee, please select the 'Self-paying Attendee' category" or something like that.  Or make it some checkbox thingy.  I believe the majority of folks who can expense it will not have difficulty expensing a 'Regular Attendee' charge so long as it doesn't say we opted to pay more.

-hadriel

p.s. Even from a purely practical standpoint, charging remote participants raises a lot of issues - we debate incessantly just about the f2f day-pass, and that's nothing compared to this.  For example: if things break during the meeting session, do we re-imburse them?  Do we pro-rate the re-imbursement based on how many of their meetings had technical issues with audio or video?  Do we charge a flat fee for the whole week of meetings, or just charge per meeting session, or depending on how long the session is?  Do we charge students a different rate, like we do f2f reg-fees?  Do we need to provide tech support with a specific SLA?  This while thing is a can of worms.  It's not worth it.

---

From: Hadriel Kaplan <[email-masked]>
Date: Fri, 16 Aug 2013 09:28:29 -0400

Yes, that had also occurred to me. :)

It does cost money though... if even for just additional equipment, tech support and administration, and a separate presentation screen in the rooms.  And it's one more thing for the folks who run the meetings to worry about, plan for, deal with, etc. - and that's a real cost too.  As far as I can tell it's not the up-front capex costs of a technology that really matter much, it's the recurring opex costs.

-hadriel

---

From: Janet P Gunn <[email-masked]>
Date: Fri, 16 Aug 2013 09:38:02 -0400

08/16/2013 09:10:54 AM:

> From: Hadriel Kaplan <[email-masked]>
>
...I want it from 
> people who can't get approval for even a $100 expense, from people 
> who are between jobs, people from academia, and even from just plain
> ordinary users rather than just vendors or big corps. 

I agree.

The realities of internal politics/funding being what they are, it is 
sometimes  going to be just as hard to get $100 "remote" fee approved as 
it as to  get the whole f2f trip approved.

Janet

---

From: Janet P Gunn <[email-masked]>
Date: Fri, 16 Aug 2013 09:50:58 -0400

I agree with Hadriel (probably because we attend a lot of the same WGs) 
that remote participants are not actively  ignored.

The problem is that, with the time lag, and the need to type in your 
comments in quickly, then relay them through the jabber scribe
A- the discussion has often moved on before your comment gets to the mic
B - your comment is necessarily short and, hopefully, to the point.  But 
if the audience doesn't "get" the point and misinterprets your comment, 
you really don't get an opportunity to clarify.
C- you can't participate in a back and forth "conversation"

Of the remedies listed, only 

> audio input - the ability for remote participants to speak using 
> their own voice, when it's their turn at the 'mic'.
addresses that.

(When I drag myself  out of bed at 2:30 AM for a remote meeting, even if I 
have changed into clothes, I don't think I want
video input, where remote participants can be seen 
> as well as heard. )

Janet

[email-masked] wrote on 08/16/2013 08:07:56 AM:

> To: John Leslie <[email-masked]>
> Cc: IETF Discussion Mailing List <[email-masked]>
> Date: 08/16/2013 08:08 AM
> Subject: Re: Radical Solution for remote participants
> I don't see that happening in the WGs I attend - when remote 
> participants post to jabber, the jabber scribes get mic time.  I 
> think what you mean isn't really that physical participants "ignore"
> remote ones, but more that remote participants don't have as much 
> impact/weight with their input/arguments than physical participants 
> do.  Is that what you mean?
> 
> 
> ISTM it's (5).  Working Groups don't ignore remote participant 
> voices because they don't pay money.  They don't ignore them because
> they don't have a separate mic.  They don't ignore them because they
> don't have A/V control.  They don't ignore them because they don't 
> have XMPP controls.
> 
> WG physical participants "ignore" remote ones because they're not 
> physically present.  We're human beings.  Human beings have a 
> subconscious connection/empathy with other human beings based on our
> senses, that does not exist when we only read their words or only 
> hear them speaking... especially when it's hear them by-proxy as the
> current jabber model uses.  This isn't news to anyone - it's why 
> people travel to meet other people, and why the telepresence market 
exists.
> 
> The next step up from our current jabber-scribe model is to have 
> audio input - the ability for remote participants to speak using 
> their own voice, when it's their turn at the 'mic'.  The next step 
> up after that is video input, where remote participants can be seen 
> as well as heard.  Both of those are technically achievable, and 
> possibly even practical to implement - though that's something the 
> folks who run and manage the meetings would have to decide, since 
> they'd know a lot more than us about that.
> 
> -hadriel
>

---

From: Janet P Gunn <[email-masked]>
Date: Fri, 16 Aug 2013 10:03:43 -0400

Adding to my own comments - 

Beware of technological solutions that require software on the remote 
user's end, or network communications.
 
Many employers have strict policies about what is allowed to be installed 
on company computers.

Furthermore, some have draconian firewalls.  For instance, my employer's 
network blocks jabber. They used to block the streaming audio too.  They 
are likely to block anything "new" they have not officially approved. 

 I have to isolate myself from the company network, and use a separate 
connection, to use jabber from the office. 

Janet

[email-masked] wrote on 08/16/2013 09:50:58 AM:

> From: Janet P Gunn/USA/CSC@CSC
> 
> 
> 
> 
> I agree with Hadriel (probably because we attend a lot of the same 
> WGs) that remote participants are not actively  ignored. 
> 

> B - your comment is necessarily short and, hopefully, to the point. 
> But if the audience doesn't "get" the point and misinterprets your 
> comment, you really don't get an opportunity to clarify. 
> (When I drag myself  out of bed at 2:30 AM for a remote meeting, 
> even if I have changed into clothes, I don't think I want

---

From: Keith Moore <[email-masked]>
Date: Fri, 16 Aug 2013 10:54:33 -0400

> the face-to-face meeting for failures of the technology.

Unfortunately, we've been doing that for many years, e.g. by forcing 
speakers to queue up at the microphones, and by arranging seating so 
that it's difficult to get to the microphones unless you're seated near 
an aisle.   If you actually think you might want to speak at a f2f 
meeting, you need to show up early (forgoing any potentially valuable 
hallway conversations) and get a seat near an aisle.

Keith

---

From: Keith Moore <[email-masked]>
Date: Fri, 16 Aug 2013 10:56:27 -0400

On 08/16/2013 09:38 AM, Janet P Gunn wrote:
> sometimes  going to be just as hard to get $100 "remote" fee approved 
> as it as to  get the whole f2f trip approved.
As someone who just spent $3.5K out of pocket to show up in Berlin, I 
have a hard time being sympathetic to someone who won't participate 
because he has to spend $100 out of pocket.

Keith

---

From: Turchanyi Geza <[email-masked]>
Date: Fri, 16 Aug 2013 17:13:17 +0200

Keith,

Fortunately sympathy is unidirectional, therefore I keep all my respect
towards you while totally disagree with your opinion...

On Fri, Aug 16, 2013 at 4:56 PM, Keith Moore <[email-masked]>wrote:

> sometimes  going to be just as hard to get $100 "remote" fee approved as it
> as to  get the whole f2f trip approved.
>
> As someone who just spent $3.5K out of pocket to show up in Berlin, I have
> a hard time being sympathetic to someone who won't participate because he
> has to spend $100 out of pocket.
>
> Keith
>
>

---

From: Arturo Servin <[email-masked]>
Date: Fri, 16 Aug 2013 12:25:56 -0300

In some parts of the world there are good engineers that get $100 for a
week as salary.

	Charging remote participation will raise the bar even more for people
that cannot travel and their only way to participate is in mailing lists
and remotely.

	Providing good remote tools it expensive in capex and opex as stated
before, but charging remote participants it is not the way forward,
unless that payment were optional (I personally I would do it, but I
know people -students, researchers in public universities, badly paid
engineers whose employer is not convinced that the ietf is a good way to
expend money, etc.- )

Regards,
as

---

From: Hadriel Kaplan <[email-masked]>
Date: Fri, 16 Aug 2013 11:36:31 -0400

On Aug 16, 2013, at 10:56 AM, Keith Moore <[email-masked]> wrote:

> As someone who just spent $3.5K out of pocket to show up in Berlin, I have a hard time being sympathetic to someone who won't participate because he has to spend $100 out of pocket.

This isn't about "fairness" or equal-pain-for-all.  It's about getting work done and producing good output.  Whether someone remote has to pay $0 or $1000 won't change your $3.5k out-of-pocket expense.  If you don't feel the $3.5k was worth it for you to go physically, don't go.

But let's say we go deploy some more tools for remote participants, and want to subsidize that additional cost.  Because making f2f folks pay out-of-pocket to subsidize remote participants reduces the incentive for them to come physically, I suggested we have a 'Self-paying Rate' category or check-box in the registration form page that removes any new additional remote-participant subsidy from the reg-fee cost.  Those of us who can expense the reg-fee won't select that, and can expense the new full amount.[1]  Nothing on the badges or attendee list or whatever would show any difference... it's purely a registration form/receipt thing.

[Fwiw, I think people still get their money's worth to go, though $3.5k is pushing it.  I assume it was that high for you because you're in the US and it was quite expensive to fly there - I find US-based f2f meetings are far cheaper for US folks, but I assume they're more expensive for non-US folks so in that sense it's good we rotate meeting locations.]

-hadriel
[1] Sure some people may claim Self-Paying status even when expensing their fee, but that's ok so long as many people pay the full amount.  Speaking just for myself, every employer I've worked at so far would have paid the full amount - it just can't be an opt-in to pay more, nor look like we're 'donating' or stuff like that.  It's got to be a 'Regular Rate' or some such for our receipts, while the other type says 'Self-Paying Rate' or some such on their receipts.  And it can't be like $1000 more, but $100 is reasonable.

---

From: Dave Crocker <[email-masked]>
Date: Fri, 16 Aug 2013 08:55:37 -0700

On 8/16/2013 6:10 AM, Hadriel Kaplan wrote:
> Since the topic keeps getting raised... I think that charging remote
> participants any fee is a really terrible idea.  One of the really
> great things about the IETF is its open and free (as in beer)
> participation policy.  The real work is supposed to be done on
> mailing lists, and there's no charge or restriction on who can send
> emails.  That policy is actually quite rare for standards bodies, and
> makes our output better not worse.

The IETF has never been free.  Actually, it's quite expensive.

We've maintained the myth that it's free because we've had long-term 
funding support from the outside, originally dubbed "daddy pays".  First 
it was ARPA, then CNRI and now ISOC (and wealthy corporations).

Having a wealthy benefactor is definitely pleasant, but it is also 
fragile.  It does not take much for funding or political problems to 
develop.

Currently, primary IETF funding comes from 3 sources:

    1. ISOC

    2. Face-to-face meeting attendees

    3. Face-to-face sponsors

Each of these represents a sizable pool, although the sponsors require 
significant, on-going effort to recruit (the formal term is cost of sales).

ISOC is the main 'daddy' in the equation because it graciously and 
reliably gives the IETF whatever money is asked for.  There's a large 
annual budget that gets approved, but ISOC readily adds to that when 
asked. And one certainly cannot fault ISOC for this, of course. 
Nevermind that supporting the IETF is one of ISOC's main reasons for 
existence; it's still darn nice of them, and darn lucky that they have 
such a reliable and large base of their own funding.

Sponsors and the bulk of meeting attendee fees constitute another daddy, 
in this case an aggregate corporate daddy.  Wealthy organizations.

But the resulting financial model for the IETF isn't very business-like. 
  We regularly make expenditure choices on a well-intentioned whim.  We 
do it because, contrary to the real world, we don't suffer meaningful 
financial downsides for poor choices.  Daddy will keep paying.

Robust organizations make sure they have diverse revenue sources.  In 
the case of the IETF, we need to balance between easy, inclusive access 
by the widest possible range of possible participants, versus diverse 
funding to ensure both financial and political robustness.

>   But charging remote
> participants for better tools/experience isn't the answer.  At least
> for me, whenever I'm discussing a draft mechanism I actually *want*
> input from remote participants.  I don't want it to be only from
> folks who can afford to provide input.  I want it from people who
> can't get approval for even a $100 expense, from people who are
> between jobs, people from academia, and even from just plain ordinary
> users rather than just vendors or big corps.  At one time we worried
> that free remote participation would lead to too many random
> participants to get work done, but that hasn't become a problem
> afaict.  Please don't whittle it down further to only those who can
> afford it.

The diversity of participation /is/ a problem and always has been. 
However it also is a benefit, and always has been.  So, yes, we want to 
continue to make highly diverse participation easy.

But we still have bills to pay.  So it's not reasonable to argue against 
one source of revenue in the absence of a compensating argument in favor 
of another.

As remote participation tools get better, it is likely that we will have 
more remote attendees and fewer face-to-face ones.  This likely means 
significant reduction in attendee fees but also could challenge sponsor 
fees, since the marketing benefit of sponsorship for the f2f will likely 
go down.

The IETF already has a modest program for free or subsidized 
participation in the face-to-face meeting.  Attention to the diverse 
access you cite would recommend extending it to remote participation, 
should fees be imposed.

> I would do anything whatsoever to avoid charging remote participants,
> even if it means raising the fee for f2f attendees to subsidize
> remote-participant tooling costs.

So, you want to make the f2f meetings even more exclusionary than they 
already are?  The meetings are already dominated by well-funded 
corporate attendees.  Higher fees will screen out some additional 
percentage of the others who currently find a way to pay for attendance.

> In that vein, I think a lot of the f2f attendees get our reg-fee paid
> by our employer and another $50 or even $100 isn't going to make a
> bit of difference for us

For you.  For other well-funded corporate attendees.  But each increment 
makes a difference for anyone on a tight budget.

So yes:

> - for those whom it would make a difference,
> I'd create another category of f2f registration fee like 'Self-paying
> Attendee' or some such.  Selecting the new category would drop your
> fee by the $50 or $100, but wouldn't change what gets displayed on
> your badge or anything.  It would be purely optional, with no guilt
> attached for not paying it and no visible difference to anyone else.

Why cannot a model like this also apply to fees for remote participation?

> p.s. Even from a purely practical standpoint, charging remote
> participants raises a lot of issues - we debate incessantly just
> about the f2f day-pass, and that's nothing compared to this.  For
> example: if things break during the meeting session, do we re-imburse
> them?  Do we pro-rate the re-imbursement based on how many of their
> meetings had technical issues with audio or video?
...
> It's not worth it.

OK.  Let's not put effort into thinking through a robust revenue model. 
  Let's stay with daddy pays.

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: Andy Bierman <[email-masked]>
Date: Fri, 16 Aug 2013 08:56:43 -0700

Hi,

+1

On Fri, Aug 16, 2013 at 1:59 AM, Joel M. Halpern <[email-masked]> wrote:
> The reason we have face-to-face meetings is because there is value in such
> meetings that can not reasonably be achieved in other ways.
> I would like remote participation to be as good as possible.  But if would
> could achieve "the same as being there" then we should seriously consider
> not meeting face-to-face.

Being at the IETF for a week is never going to be the same experience
as participating remotely at a computer for a couple 2 hour meetings.
A lot of work gets done outside the official WG meetings because
the right people can all be in the same room at the same time.

IMO we should be using more virtual interim meetings,
not trying to turn our f2f meetings into remote meetings.
WGs should meet virtually at least once a month for 2 - 4 hours
to make progress on issues same as via the WG mailing list.
Everybody is a remote participant in a virtual interim so
the problems with interfacing to a live meeting go away.

> Conversely, until the technology gets that good, we must not penalize the
> face-to-face meeting for failures of the technology.
>
> Yours,
> Joel

Andy

>>> 2) Ensure Audio access requires an identified request via XMPP prior to
>>> enabling either a remote or local audio feed.
>>
>>
>> Hm.
>>
>>>
>>> 4) In the event of the local venue loosing Internet access, the device
>>> regulating A/V presentations must be able to operate in a virtual mode where
>>> only remote participants are permitted to continue the meeting proceedings.
>>
>>
>> That seems… extreme.
>>
>>> 5) Important participants should plan for alternative modes of Internet
>>> access to remain part of the proceedings.
>>
>>
>> Not exactly practical.
>>
>>>
>>> 5) signal when a request has been granted or revoked.  For local
>>> participants this could be in the form of a red or green light at their
>>> microphone.
>>
>>
>>> 7) Develop a control panel managed by chairs or their proxies that
>>> consolidate and sequence requests and log support and nonsupport indications
>>> and the granting of requests.
>>
>>
>> See above (I think).
>>
>>>
>>> 11) The device regulating A/V presentations must drive both the video and
>>> audio portions of the presentations.  A web camera in a room is a very poor
>>> replacement.
>>>
>>> 12) All video information in the form of slides and text must be
>>> available from the Internet prior to the beginning of the meeting.
>>
>>
>> Cheers,
>>
>>
>> --

---

From: "Carlos M. Martinez" <[email-masked]>
Date: Fri, 16 Aug 2013 13:07:10 -0300

Hello,

> because he has to spend $100 out of pocket.

Funny reading that under the light of the IETF worried about increasing
participation and diversity. There are places in the world where $100 is
all the disposable income an engineer *might* have. For months.

And, before the IETF would commit to take steps in that direction, it
would be interesting to see some numbers about how much money needs to
be invested in deploying and operating remote participation tools that
would actually make people feel they are getting value back for a $100
remote attendance fee.

I can already imagine the complain threads in the [XXattendees-remote]
list. Oh, the humanity!

~Carlos

---

From: David Morris <[email-masked]>
Date: Fri, 16 Aug 2013 10:09:11 -0700 (PDT)

On Fri, 16 Aug 2013, Keith Moore wrote:

> As someone who just spent $3.5K out of pocket to show up in Berlin, I have a
> hard time being sympathetic to someone who won't participate because he has to
> spend $100 out of pocket.

As someone who couldn't justify the $3k+ to attend the meeting, and for 
whom attending a meeting implies substantial lost revenue opportunities,
the $100 (or more) fee for first class remote participation would be
awesome.

---

From: Janet P Gunn <[email-masked]>
Date: Fri, 16 Aug 2013 13:51:21 -0400

I expect _I_ would pay $100 out of my own pocket, if it came to that.

But not all remote participants would be able to.

Janet

[email-masked] wrote on 08/16/2013 10:56:27 AM:

> From: Keith Moore <[email-masked]>
>
> 
> The realities of internal politics/funding being what they are, it 
> is sometimes  going to be just as hard to get $100 "remote" fee 
> approved as it as to  get the whole f2f trip approved. 
> As someone who just spent $3.5K out of pocket to show up in Berlin, 
> I have a hard time being sympathetic to someone who won't 
> participate because he has to spend $100 out of pocket.
> 
> Keith

---

From: John C Klensin <[email-masked]>
Date: Fri, 16 Aug 2013 13:53:55 -0400

--On Friday, August 16, 2013 13:07 -0300 "Carlos M. Martinez"
<[email-masked]> wrote:

>...
> And, before the IETF would commit to take steps in that
> direction, it would be interesting to see some numbers about
> how much money needs to be invested in deploying and operating
> remote participation tools that would actually make people
> feel they are getting value back for a $100 remote attendance
> fee.

Please Dave Crocker's note before my comment below -- I agree
with mose of it don't want to repeat what he has already said
well.

As someone who favors charging remote participants, who has paid
most or all of the travel and associated costs for every meeting
I've attended in the last ten plus years, and who doesn't share
in a view of "if I can, everyone can", let me make a few
observations.

(1) As Dave points out, this activity has never been free.  The
question is only about "who pays".  If any participants have to
pay 
(or convince their companies to pay) and others, as a matter of
categories, do not, that ultimately weakens the process even if,
most of the time, those who pay don't expect or get favored
treatment.  Having some participants get a "free ride" that
really comes at the expense of other participants (and
potentially competing organizations) is just not a healthy idea.

(2) Trying to figure out exactly what remote participation
(equipment, staffing, etc.) will cost the IETF and then trying
to assess those costs to the remote participants would be
madness for multiple reasons.  Not least of those is the fact
that, if new equipment or procedures are needed, there will be
significant startup costs with the base of remote participants
arriving only later.  One could try to offset that effect with
some accounting assumptions that would be either rather complex,
rather naive, or both, but, as a community, we aren't good at
those sorts of calculations nor at accepting them when the IAOC
does them in a way that doesn't feel transparent.

(3) Trying to establish a more or less elaborate system of
categories of participants with category-specific fees or to
scale the current system of subsidies and waivers to accommodate
the full range of potential in-person and remote participants is
almost equally insane.  While we might make such arrangements
work and keeping categories and status off badges helps, it gets
us entangled with requiring that the Secretariat and/or IAD
and/or some IAOC or other "leadership" members be privy to
information that is at least private and that might be formally
confidential.  We don't want to go there if we can help it.

(4) The current "registration fee" covers both some proportion
of meeting-specific expenses and some proportion of overhead
expenses that are not specific to the meetings or to meeting
attendance.  Breaking those proportions down specifically also
would require some accounting magic, especially given the
differences between meetings with greater or lesser degrees of
sponsorship.   But I believe that, if we can trust the IAOC to
set meeting registration fees for in-person attendees, we can
trust them to set target (see below) meeting registration fees
for remote participants.  Note that such a fee involves some
reasonable contribution to overhead expenses (including remote
participation costs, secretariat site visits, and the like) just
as the fee for in-person participants does -- it is not based on
the costs of facilities for remote participation.

So, to suggest this again in a different context:

Remote participants then pay between 0 and 100% of that target
fee, based on their consciences, resources, and whatever other
considerations apply.  No one asks how given remote participants
or their organizations arrive at the numbers they pick.  No one
is asked to put themselves into a category or explain their
personal finances.  The IETF does not need to offer promises
about the confidentiality of information that it doesn't
collect.  Any Euro we collect is one Euro more than we are
collecting now and, if a Euro or two is what a participant from
a developing area feels is equitable for him or her to pay, then
that is fine.

That "voluntary fee" model would be a terrible one except that I
think we can actually trust the vast majority of the community
to be reasonable.  Certainly some people will not be, but they
would probably figure out how to game a category system or any
more complex system we came up with.  Just as the price of
running a truly open standards process including tolerating a
certain number of non-constructive participants (and other
subspecies of trolls), it may require tolerating a certain
number of people who won't want to pay their fair share (or
whose judgments of "fair" might be at variance with what other
people with the same information would conclude).  Absent clear
indications that more complex process, or one that relied more
on leadership judgments about individual requests, would produce
more than enough additional revenue to compensate for the damage
and risks those approaches would cause, I think it strikes a
reasonable balance. It also addresses all of the issues about
the problems with charging remote participants that have been
raised in this thread except those based on the dubious
principle that anyone who doesn't attend an in-person meeting is
thereby entitled to be subsidized by the rest of the community.

best,
   john

---

From: Hadriel Kaplan <[email-masked]>
Date: Fri, 16 Aug 2013 14:32:35 -0400

On Aug 16, 2013, at 11:55 AM, Dave Crocker <[email-masked]> wrote:

> We've maintained the myth that it's free because we've had long-term funding support from the outside, originally dubbed "daddy pays".  First it was ARPA, then CNRI and now ISOC (and wealthy corporations).

I didn't say it didn't cost someone money to run it - I said it's free to participate, and I like that policy and think we're better for it.  *Of course* someone has to pay something, and we could have a long debate about a better funding model for the IETF in general.  But that's not a problem I'm trying to fix.

Some people on the list have expressed a desire to have better remote participation.  I don't know if that's necessary or not, but I suggested a possible solution for that (i.e., audio input).  The solution will cost some money.  Not a lot, hopefully, but more than currently being spent.  The people who run the meetings will have to tell us how much more, per meeting.

Assuming it costs more than some trivial amount, we have to figure out a source of revenue for that.  We don't have to re-do the whole IETF funding model - just figure out where to get the money for this new thing.

So if that costs real money, I propose that instead of charging remote participants the cost, we charge f2f participants by burying it in the reg-fee, but discounting the reg-fee for those who can't expense the reg-fee.   That sounds whacky, I know.  It sounds radical too.  It's not a new idea though, and some other places do the same but using different words (like "Corporate Attendee" vs. "Individual Attendee", but those don't make sense here).

The good thing is it's something we can test and measure, without impacting attendee rates.  We can't measure how impactful a fee to remote participants is - the number who join rises and falls due to various reasons; and even if they don't join due to the fee we won't know it - they won't say so, and won't join remotely, and we won't know it.  Thus it's self-limiting and self-fulfilling.  We can't measure how impactful a mandatory increase across-the-board for f2f meeting reg-fee is either - the number of f2f attendees rises/falls based on too many factors, and again it's self-limiting and self-fulfilling.  With a selectable registration form check-box, and no laying of guilt or stigma on those who do/don't choose 'Self-Paying Rate' vs. 'Full Rate' and no external indicator of it, we can figure out if we get more money and how much, without directly impacting our f2f attendance rate.

We can even do it *before* we go and pay for anything.  We could, for example, have the check-box for the Vancouver IETF meeting form, with textual explanation of why to check it.  We could do the same for remote participants too, just to see how much we'd get that way instead.

> As remote participation tools get better, it is likely that we will have more remote attendees and fewer face-to-face ones.  This likely means significant reduction in attendee fees but also could challenge sponsor fees, since the marketing benefit of sponsorship for the f2f will likely go down.

I have a hard time believing that.  If anyone thinks they get as much out of remote participation as they do with f2f, then I think they're crazy... but you're right they shouldn't come.  If it turns out a lot of people stop coming, then maybe we really don't need f2f meetings or as many of them.  Or maybe it means we need to make cost the highest priority factor in meeting locations, instead of one among many must-have requirements.  Or maybe it means we need to restructure how we spend and get funding.  

Regardless, the goal of the IETF isn't to have f2f meetings - it's a means to an end, not an end in itself.  I think it's super-valuable, for both physical attendees and the output the IETF produces; and I think it's worth having it 3 times year.  I *want* people to go physically.  But if it's not valuable to many people, don't have them; or not as frequently.

-hadriel

---

From: Melinda Shore <[email-masked]>
Date: Fri, 16 Aug 2013 10:58:47 -0800

> in a view of "if I can, everyone can", let me make a few

I think these are good points, and I'd like to add: the extent to
which there's now an expectation that someone must participate in
a meeting in order to contribute to work is the extent to which
there's been a gradual shift in working methods in the organization,
and effectively reflect a loss (to whatever extent) of openness.

We can stay free and open if mailing lists remain the locus of
the IETF's work.  The costs associated with remote participation
have to be borne by someone; the marginal cost of someone joining
an existing mailing list is effectively zero.

Melinda

---

From: Keith Moore <[email-masked]>
Date: Fri, 16 Aug 2013 15:10:58 -0400

> This isn't about "fairness" or equal-pain-for-all.  It's about getting work done and producing good output.  Whether someone remote has to pay $0 or $1000 won't change your $3.5k out-of-pocket expe…

I'm all about having IETF get work done and produce good output. May I 
suggest that we start by trying to reduce IETF's longstanding bias in 
favor of large companies with large travel budgets that pay 
disproportionate attention to narrow and/or short-term interests, and 
against academics and others who take a wider and/or longer view?   The 
Internet has suffered tremendously due to a lack of a long-term view in 
IETF.

To that end, I'd like to see IETF do what it can to reduce meeting costs 
for those who attend face-to-face, rather than increase those costs even 
more in order to subsidize remote participation.

I have reached the difficult (i.e. expensive) conclusion that the only 
way to participate effectively in IETF (except perhaps in a narrow focus 
area) is to regularly attend face-to-face meetings. There are several 
reasons for this, just a few of which (off the top of my head) are:

(1)  It's really hard to understand where people are coming from 
unless/until you've met them in person.  I had been participating in 
IETF for about a year before I showed up at my first meeting, and I 
still remember how
(2) It's much easier to get a sense of how a group of people react to a 
proposal in person, than over email.
(3) For several reasons, people seem to react to ideas more favorably 
when discussed face-to-face.
(4) It's easier to get along well with people whom you see face-to-face 
on at least an occasional basis, so people whom you've met face-to-face 
are more likely to appreciate constructive suggestions and to interpret 
technical criticism as helpful input rather than personal attacks.
(5) Among the many things that hallway conversations are good for are 
quickly settling misunderstandings and resolving disputes.

I realize that a better remote participation experience might help with 
some or all of these, but I think we're decades away from being able to 
realize that quality of experience via remote participation, at least 
without developing new technology and spending a lot more money on 
equipment.   If someone wants to fund development of that technology and 
purchase of that equipment separately from the normal IETF revenue 
stream, more power to them.   But I do suspect that at some point it 
will cost money to maintain that technology and equipment, and again, I 
suspect it shouldn't primarily come from people who are paying to be 
there in person.

Or if we're really about trying to make IETF as open as possible, then 
we should be willing to publicly declare that people can participate in 
face-to-face meetings without paying the registration fee.  [*]  But I 
don't think that IETF's current funding model can support that.   So 
maybe IAOC should give serious thought to changing the model, but 
offhand I don't know what a better model would be.   Should IETF become 
a membership organization, and let some of the administrative costs be 
borne by membership fees, so that meeting costs can more accurately 
reflect the cost of hosting meetings?   How would the organization 
provide benefits to paying members without excluding participation from 
others?   I don't expect that there are any obviously right answers to 
questions like those - everything involves compromise - but it might be 
that there are far better answers to those questions than those that 
have been assumed for the past 20 years or so.

[*] I do realize that some people have, on occasion, shown up as 
"tourists" for the benefit of hallway and bar conversations, and avoided 
paying the meeting fee.

---

From: Hadriel Kaplan <[email-masked]>
Date: Fri, 16 Aug 2013 15:31:04 -0400

I may be misunderstanding you, but I'm proposing we charge "large corporations with large travel budgets" slightly *more* than others.[1]  I'm not suggesting an overhaul of the system.  I'm not proposing they get more attention, or more weight, or any such thing.

Of course they *do* have more impact in subtle ways, because they can afford to send people and hire IETF "insiders" and pay salaries for people to be ADs and WG chairs and so on.  That's a separate issue, which we've long fretted about but can't truly address, nor am I proposing to fix it nor make it worse.

I'm just trying to fix the problem at hand. (well... it would only be a problem if people think we need better remote participation tools)

-hadriel
[1] "Large corporations" don't actually equate to large travel budgets; big corps have travel freezes all the time.  But if you can get expense approval for $695 reg-fee, you can likely get approval for $795; and the reg-fee is only a portion of the overall travel expense.  If you *can't* get approval for the $100 difference, that's ok - just select the "Self-Paying Rate".  There's no stigma associated with doing that. (at least that's the goal anyway)

On Aug 16, 2013, at 3:10 PM, Keith Moore <[email-masked]> wrote:

> I'm all about having IETF get work done and produce good output. May I suggest that we start by trying to reduce IETF's longstanding bias in favor of large companies with large travel budgets that pay disproportionate attention to narrow and/or short-term interests, and against academics and others who take a wider and/or longer view?   The Internet has suffered tremendously due to a lack of a long-term view in IETF.
> 
> To that end, I'd like to see IETF do what it can to reduce meeting costs for those who attend face-to-face, rather than increase those costs even more in order to subsidize remote participation.
> 
> I have reached the difficult (i.e. expensive) conclusion that the only way to participate effectively in IETF (except perhaps in a narrow focus area) is to regularly attend face-to-face meetings. There are several reasons for this, just a few of which (off the top of my head) are:
> 
> (1)  It's really hard to understand where people are coming from unless/until you've met them in person.  I had been participating in IETF for about a year before I showed up at my first meeting, and I still remember how
> (2) It's much easier to get a sense of how a group of people react to a proposal in person, than over email.
> (3) For several reasons, people seem to react to ideas more favorably when discussed face-to-face.
> (4) It's easier to get along well with people whom you see face-to-face on at least an occasional basis, so people whom you've met face-to-face are more likely to appreciate constructive suggestions and to interpret technical criticism as helpful input rather than personal attacks.
> (5) Among the many things that hallway conversations are good for are quickly settling misunderstandings and resolving disputes.
> 
> I realize that a better remote participation experience might help with some or all of these, but I think we're decades away from being able to realize that quality of experience via remote participation, at least without developing new technology and spending a lot more money on equipment.   If someone wants to fund development of that technology and purchase of that equipment separately from the normal IETF revenue stream, more power to them.   But I do suspect that at some point it will cost money to maintain that technology and equipment, and again, I suspect it shouldn't primarily come from people who are paying to be there in person.
> 
> Or if we're really about trying to make IETF as open as possible, then we should be willing to publicly declare that people can participate in face-to-face meetings without paying the registration fee.  [*]  But I don't think that IETF's current funding model can support that.   So maybe IAOC should give serious thought to changing the model, but offhand I don't know what a better model would be.   Should IETF become a membership organization, and let some of the administrative costs be borne by membership fees, so that meeting costs can more accurately reflect the cost of hosting meetings?   How would the organization provide benefits to paying members without excluding participation from others?   I don't expect that there are any obviously right answers to questions like those - everything involves compromise - but it might be that there are far better answers to those questions than those that have been assumed for the past 20 years or so.
> 
> [*] I do realize that some people have, on occasion, shown up as "tourists" for the benefit of hallway and bar conversations, and avoided paying the meeting fee.
>

---

From: Hadriel Kaplan <[email-masked]>
Date: Fri, 16 Aug 2013 15:46:31 -0400

> potentially competing organizations) is just not a healthy idea.

Baloney.  People physically present still have an advantage over those remote, no matter how much technology we throw at this.  That's why corporations are willing to pay their employees to travel to these meetings.  And it's why people are willing to pay out-of-pocket for it too, ultimately.  It's why people want a day-pass type thing for only attending one meeting, instead of sitting at home attending remote. 

Being there is important, and corporations and people know it.

An audio input model (ie, conference call model) still provides plenty of advantage to physical attendees, while also providing remote participants a chance to have their say in a more emphatic and real-time format.  We're not talking about building a telepresence system for all remote participants, or using robots as avatars.

> madness for multiple reasons.  [...snip...]

Yet you're proposing charging remote participants to bear the costs.  I'm confused.

> confidential.  We don't want to go there if we can help it.

I'm not talking about posting this info on web, nor a "full range of potential".  We already have multiple reg-fee categories; I'm talking about adding *one* more.  I don't know who in the "leadership" can see a list of what rates people paid - if we need to constrain that, that's a solvable problem.  It's not the sky falling.

Regardless, the same argument can be made for charging remote participants to "donate" 0-100% or whatever.

-hadriel

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 16 Aug 2013 16:42:22 -0400

We already have a version of "self-pay", namely the very low student rate. For that rate, you are supposed to show student ID (not sure how and whether this is enforced), so it's not quite the same, but it's a "means-based" test, as well as an attempt to increase the diversity of participants. Nearly every scientific conference has versions of differentiated pricing - special rates for authors, attendees from low-income countries, students, society members (i.e., likely repeat attendees), ... In those venues, the general rule of thumb for organizers is that even the lowest priced category pays for the variable costs, and the fixed costs are borne by those more able to pay.

We also have the early-registration rate - thus, late and on-site registrations "subsidize" the early bird moochers.

We presumably want to encourage building a community, and that includes making it possible for people to attend who might not otherwise be able to. Our objective is not one-time revenue optimization. Many individuals switch back-and-forth between traveling on their own dime and on corporate tabs, and we want to encourage continued engagement, if only to increase our supply of Nomcom-eligibles.

Thus, I think this is worth exploring, as an experiment, just like we started the day-pass experiment a number of years ago.

Henning

---

From: "Mark Baugher (mbaugher)" <[email-masked]>
Date: Fri, 16 Aug 2013 21:59:10 +0000

> Thus, I think this is worth exploring, as an experiment, just like we started the day-pass experiment a number of years ago.

I don't know what "this" refers to in the above sentence, but I agree with everything else in your note.

Mark

---

From: John C Klensin <[email-masked]>
Date: Fri, 16 Aug 2013 18:39:04 -0400

--On Friday, August 16, 2013 15:46 -0400 Hadriel Kaplan
<[email-masked]> wrote:

>> (1) As Dave points out, this activity has never been free.
>> The question is only about "who pays".  If any participants
>> have to pay 
>> (or convince their companies to pay) and others, as a matter
>> of categories, do not, that ultimately weakens the process
>> even if, most of the time, those who pay don't expect or get
>> favored treatment.  Having some participants get a "free
>> ride" that really comes at the expense of other participants
>> (and potentially competing organizations) is just not a
>> healthy idea.
> 
> Baloney.  People physically present still have an advantage
> over those remote, no matter how much technology we throw at
> this.  That's why corporations are willing to pay their
> employees to travel to these meetings.  And it's why people
> are willing to pay out-of-pocket for it too, ultimately.  It's
> why people want a day-pass type thing for only attending one
> meeting, instead of sitting at home attending remote. 
> 

Sure.  And it is an entirely separate issue, one which I don't
know how to solve (if it can be solved at all).  It is
unsolvable in part because corporations --especially the larger
and more successful ones-- make their decisions about what to
participate in, at what levels, and with whatever choices of
people, for whatever presumably-good business reasons they do
so.  I can, for example, remember one such corporation refusing
to participate in a standards committee that was working on
something that many of us thought was key to their primary
product.  None us knew, then or now, why they made that decision
although their was wide speculation at the time that they
intended to deliberately violate the standard that emerged and
wanted plausible deniability about participation.  Lots of
reasons; lots of circumstances. 

> An audio input model (ie, conference call model) still
> provides plenty of advantage to physical attendees, while also
> providing remote participants a chance to have their say in a
> more emphatic and real-time format.  We're not talking about
> building a telepresence system for all remote participants, or
> using robots as avatars.

IIR, we've tried audio input.  It works really well for
conference-sized meetings (e.g., a dozen or two dozen people
around a table) with a few remote participants.  It works really
well for a larger group (50 or 100 or more) and one or two
remote participants.  I've even co-chaired IETF WG meetings
remotely that way (with a lot of help and sympathy from the
other co-chair or someone else taking an in-room leadership
role).  

But, try it for several remote participants and a large room
full of people, allow for audio delays in both directions, and
about the last thing one needs is a bunch of disembodied voices
coming out of the in-room audio system at times that are not
really coordinated with what is going on in the room.  Now it
can all certainly be made to work: it takes a bit of
coordination on a chat (or equivalent) channel, requests to get
in or out of the queue that are monitored from within the room,
and someone managing those queues along with the mic lines.
But, by that point, many of the disadvantage of audio input
relative to someone reading from Jabber have disappeared and the
other potential problems with audio input -- noise, level
setting, people who are hard to understand even if they are in
the room, and so on-- start to dominate.   Would I prefer audio
input to typing into Jabber under the right conditions?  Sure,
in part because, while I type faster than average it still isn't
fast enough to compensate for the various delays.  But it really
isn't a panacea for any of the significant problems.

> Yet you're proposing charging remote participants to bear the

I am proposing charging remote participants a portion of the
overhead costs of operating the IETF, _not_ a fee based on the
costs of supporting remote participation.  And, again, I want
them to have the option of deciding how much of it they can
reasonably afford to pay.

best,
   john

---

From: Scott Kitterman <[email-masked]>
Date: Fri, 16 Aug 2013 18:44:02 -0400

On Friday, August 16, 2013 18:39:04 John C Klensin wrote:
> > On Aug 16, 2013, at 1:53 PM, John C Klensin
> > 
> > <[email-masked]> wrote:

Maybe the IETF should charge for mailing list subscriptions too?

Scott K

---

From: Hadriel Kaplan <[email-masked]>
Date: Fri, 16 Aug 2013 20:16:34 -0400

> and someone managing those queues along with the mic lines.

Yup, it definitely takes those things.  Been there, done that, got the IETF t-shirt. :)

I think we might be able to do it, using the jabber scribes for those "coordination" actions.  Maybe.  It depends on the number of remote active participants and quality of scribes.  The jabber scribes would have to act like the operator-assisting person in big conferences with remote participants. (the old "we've got a question from Jane Doe, go ahead Jane" type thing)

For the WGs I go to (RAI area mostly), we have good scribes and not a large number of remote people who actually participate (as opposed to monitor).  We've had some exceptions, but my impression is the things the remote people wanted to say in those cases were usually said by someone locally anyway so they're more of a +1 thing.  I.e., if there are lots of local attendees, you usually get someone saying what you were going to say anyway.  Not that someone remote shouldn't say it as well, because it does matter if you hear the same thing being repeated.  But at least it's not so much "interaction" needed for hearing that.

But yes if there are a dozen remote active participants, and a 100 people locally in the room, it's chaos.  It's not chaos because the remote participants don't get mic time - it's chaos because they *do* get mic time.  The delay in letting them know it's their turn at the mic, delay in real-time interaction, the mental switch to "remote mode" for local participants, etc., all cause the meeting to slow down... a lot.

It's like multiple processes running on one CPU - context switching is painful.  We can try to pile up the remote participants to go all at once, so that there're fewer context switches.  That's what folks do in big conferences: the remote participants are queued up until the local ones have finished, and then the remote ones go all at once.  Unfortunately that turns it into a Q&A type thing at the end, and not a discussion, but with that big an active audience that's probably all it could be anyway.

> the room, and so on-- start to dominate.   

Yes, audio quality and volume control and a bunch of related things are very important for this to work.  IANAE on that - there are professionals who do that stuff for a living.

> Would I prefer audio

OK, so what are the significant problems?  What have the WGs you've been participating in not been doing, that makes you feel like you don't get to participate remotely?

-hadriel

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 16 Aug 2013 21:43:39 -0400

> I don't know what "this" refers to in the above sentence, but I agree with everything else in your note.

Offer a "self-pay" rate, as suggested by Hadriel. See how many people take it and ask them whether that made a difference in their attendance.

Henning

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 17 Aug 2013 12:05:53 +0100

On 08/17/2013 02:43 AM, Henning Schulzrinne wrote:
>>> 
>>> Thus, I think this is worth exploring, as an experiment, just
>>> like we started the day-pass experiment a number of years ago.
>> 
> Offer a "self-pay" rate, as suggested by Hadriel. See how many people
> take it and ask them whether that made a difference in their
> attendance.

Just my 0.00 €

I don't agree with charging remote attendees until after
it works for them and after successful remote participation
becomes somewhat disruptive to the f2f participants. We have
so far to go before we get there, that discussion of how, what,
who or why to charge is mostly silly distraction.

I also believe its valuable that we can truthfully say that anyone
can participate with just an email address and IMO we should not
damage that. (And yes, I recognise that you can participate much
more fully if you go to f2f or virtual voice meetings.) So IMO
discussion of details of charging remote participants is also
slightly damaging.

S.

---

From: Hadriel Kaplan <[email-masked]>
Date: Sat, 17 Aug 2013 10:20:57 -0400

> who or why to charge is mostly silly distraction.

I agree.  My proposal for how/what/where to get more revenue (and not from remote participants) was only in case we actually need it to pay for enhancing remote participation.  It's not clear we have such a need any time soon, but I was only trying to provide an alternative model to charging remote participants.

-hadriel

---

From: SM <[email-masked]>
Date: Sun, 18 Aug 2013 02:21:55 -0700

Hi Hadriel,
At 12:31 16-08-2013, Hadriel Kaplan wrote:
>I may be misunderstanding you, but I'm proposing we charge "large 
>corporations with large travel budgets" slightly *more* than 
>others.[1]  I'm not suggesting an overhaul of the system.  I'm not 
>proposing they get more attention, or more weight, or any such thing.

That sounds like the ability to pay.  It might be worth considering 
changing the student rate to an academic and open source rate and 
doubling the rate.  I am not getting into a definition of "academic" 
or "open source" [1].  It is left to the organization to determine 
whether it is a good idea to be honest or try the weasel words [2] approach.

Regards,
-sm

1. If the IETF is serious about running code (see RFC 6982) it would 
try to encourage open source developers to participate more 
effectively in the IETF.

2. weasel words give the impression of taking a firm position while 
avoiding commitment to any specific claim.

---

From: Vinayak Hegde <[email-masked]>
Date: Sun, 18 Aug 2013 15:19:36 +0530

On Sun, Aug 18, 2013 at 2:51 PM, SM <[email-masked]> wrote:

>> corporations with large travel budgets" slightly *more* than others.[1]
>>  I'm not suggesting an overhaul of the system.  I'm not proposing they get
>> more attention, or more weight, or any such thing.
>>
>
> changing the student rate to an academic and open source rate and doubling
> the rate.  I am not getting into a definition of "academic" or "open
> source" [1].  It is left to the organization to determine whether it is a
> good idea to be honest or try the weasel words [2] approach.
>
> Regards,
> -sm
>
> 1. If the IETF is serious about running code (see RFC 6982) it would try
> to encourage open source developers to participate more effectively in the
> IETF.
>

+1 on opensource. Especially in the application / RAI area space. There are
several implementers who could benefit from the interaction as well as
contribute to making standards better. Standards can be written in ways
that can make implementation easier. I have seen several instances where
RFCs have unnecessary complex and larger / longer than they should be.
Having more implementers in the WG session room is always welcome as it
will lead to better implementations and adoptions.

Also since so many opensource contributors work on their own time and money
(though not all of them), it would be welcome to give them a concessional
rate. So much of the daily software we use / write depends on open source
libraries and apps, I think will be useful to have them be a bigger part of
the standards process.

A guarded +1 on academics as well. The IRTF has been doing a good job of
involving academics. Would love to hear more on their experiences before
commenting.

-- Vinayak

---

From: Hadriel Kaplan <[email-masked]>
Date: Sun, 18 Aug 2013 08:33:22 -0400

On Aug 18, 2013, at 5:21 AM, SM <[email-masked]> wrote:

> 1. If the IETF is serious about running code (see RFC 6982) it would try to encourage open source developers to participate more effectively in the IETF.

Define "open source developers".  Technically quite a lot of developers at my employer develop "open source", as do many at many of the corporations which send people to the IETF.  Heck, even I personally submit code to Wireshark now and then.  Distinguishing between "Self-paying" vs. "Expensing" is pretty easy.  "Open source" vs. "Closed source" is a big can of worms.

I'd love to get more developers in general to participate - whether they're open or closed source doesn't matter.  But I don't know how to do that, beyond what we do now.  The email lists are free and open.  The physical meetings are remotely accessible for free and open.

To attend the physical meetings in person takes real money, but the registration fee is dwarfed by the travel+food+lodging costs.  The most successful open-source conferences I've seen are ones that only last a couple days, and located where many of them live. (which in the US would be silicon valley area, in terms of largest concentration)  But you can't just have it there once every few years - you have to have it there repeatedly to really succeed at that.

And it does cost the IETF lots of money to host the physical meetings, and that cost is directly proportional to the number of physical attendees.  More attendees = more cost.  Remote participation cost isn't nearly as linear nor as high, afaik.

-hadriel

---

From: John C Klensin <[email-masked]>
Date: Sun, 18 Aug 2013 10:01:06 -0400

--On Sunday, 18 August, 2013 08:33 -0400 Hadriel Kaplan
<[email-masked]> wrote:

>...
> And it does cost the IETF lots of money to host the physical
> meetings, and that cost is directly proportional to the number
> of physical attendees.  More attendees = more cost.

I had promised myself I was finished with this thread, but I
can't let this one pass.

(1) If IETF pays separately for the number of meeting rooms, the
cost is proportionate to the number of parallel sessions, not
the number of attendees.

(2) If IETF gets the meeting rooms (small and/or large) for
"free", the costs are borne by the room rates of those who stay
in the hotel and are not proportionate to much of anything
(other than favoring meetings that will draw the negotiated
minimum number of attendees who stay in that hotel).

(3) Equipment costs are also proportional to the number of
meetings we run in parallel.  Since IASA owns some of the
relevant equipment and has to ship it to meetings, there are
some amortization issues with those costs and shipping costs are
dependent on distance and handling charges from wherever things
are stored between meetings (I assume somewhere around Fremont,
California, USA).  If that location was correct and we wanted to
minimize those charges, we would hold all meetings in the San
Francisco area or at least in the western part of the USA.  In
any event the costs are in no way proportionate to the number of
attendees.

(4) The costs of the Secretariat and RFC Editor contracts and
other associated contracts and staff are relatively fixed.  A
smaller organization, with fewer working groups and less output,
might permit reducing the size of those contracts somewhat, but
that has only the most indirect and low-sensitively relationship
to the number of attendees, nothing near "proportional".

(5) If we have to pay people in addition to Secretariat staff
to, e.g., sit at registration desks, that bears some monotonic
relationship to the number of attendees.  But the step
increments in that participate function are quite large, nothing
like "directly proportional".  

(6) The cost of cookies and other refreshments may indeed be
proportional to the number of attendees but, in most facilities,
that proportionality will come in large step functions.  In
addition, in some places, costs will rise with the number of
"unusual" dietary requirements.  The number of those
requirements might increase with the number of attendees, but
nowhere near proportionately.  "Unusual" is entirely in the
perception of the supplier/facility but, from a purely economic
and cost of meetings standpoint, the IETF might be better off if
people with those needs stayed home or kept their requirements
to themselves.

So, meeting "cost directly proportional to the number of
physical attendees"?  Nope.   

    best,
       john

p.s. You should be a little cautious about a "charge the big
companies more" policy.  I've seen people who make the financial
decisions as to who comes say things like "we pay more by virtue
of sending more people, if they expect us to spend more per
person, we will make a point by cutting back on those we send
(or requiring much stronger justifications for each one who
wants to go)".  I've also seen reactions that amount to "We are
already making a big voluntary donation that is much higher than
the aggregate of the registration fees we are paying, one that
small organizations don't make.  If they want to charge us more
because we are big, we will reduce or eliminate the size of that
donation."  Specific company examples on request (but not
on-list), but be careful what you wish for.

---

From: Hadriel Kaplan <[email-masked]>
Date: Sun, 18 Aug 2013 11:50:33 -0400

I've been told, though obviously I don't know, that the costs are proportional.  I assume it's not literally a "if we get one additional person, it costs an additional $500".  But I assume SM wasn't proposing to get just one or a few more "open source developer" attendees.  If we're talking about just a few people it's not worth arguing about... or doing anything about.  It would only be useful if we got a lot of such attendees.

-hadriel

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Sun, 18 Aug 2013 14:24:38 -0400

On Sun, Aug 18, 2013 at 8:33 AM, Hadriel Kaplan
<[email-masked]>wrote:

> Define "open source developers".  Technically quite a lot of developers at
> my employer develop "open source", as do many at many of the corporations
> which send people to the IETF.  Heck, even I personally submit code to
> Wireshark now and then.  Distinguishing between "Self-paying" vs.
> "Expensing" is pretty easy.  "Open source" vs. "Closed source" is a big can
> of worms.
>

+1

I suspect we have all done the open source thing at some point. Whether
open source makes sense as a business strategy depends on your position in
the ecosystem. Folk like the 10gen (MongoDB) people can't compete against
Oracle for the closed source DB market so an open source plus proprietary
service strategy is completely logical for them.

Following the most a logical business model for your product is hardly a
point of moral superiority. I am currently putting a large amount of my
private code onto SourceForge as open source, should my employer get a
discount for this? Should my employer pay a premium rate to allow discounts
to others? Should the fact that my employer provides open source products
that facilitate consuming a proprietary product count?

I really don't think this makes any sense at all. Open Source is not Free
Software though some people conflate the two.

-- 
Website: http://hallambaker.com/

---

From: "John Levine" <[email-masked]>
Date: 18 Aug 2013 21:02:46 -0000

In article <[email-masked]> you write:
>
>I've been told, though obviously I don't know, that the costs are proportional.  I assume it's not literally a "if we get
>one additional person, it costs an additional $500".  But I assume SM wasn't proposing to get just one or a few more "open
>source developer" attendees.  If we're talking about just a few people it's not worth arguing about... or doing anything
>about.  It would only be useful if we got a lot of such attendees.

My trip to the Berlin IETF cost me about $3300, of which the
registration fee was only $650.  (The plane ticket was expensive,
since I flew from upstate NY, but the hotel was cheap because I booked
at a place a block away with a prepaid rate back in May.)

If we're going to provide financial inducements for people to come,
whether open source developers or anyone else, unless they happen to
live in the city where we're meeting, we'll need to give them cash
travel grants, not just waive the fee.  The IRTF brings winners of
their research prize to the meetings to present the winning papers,
so we can look at those numbers to see what it costs.

---

From: SM <[email-masked]>
Date: Sun, 18 Aug 2013 17:04:39 -0700

Hi Hadriel,
At 05:33 18-08-2013, Hadriel Kaplan wrote:
>Define "open source developers".  Technically quite a lot of 
>developers at my employer develop "open source", as do many at many 
>of the corporations which send people to the IETF.  Heck, even I 
>personally submit code to Wireshark now and then.  Distinguishing 
>between "Self-paying" vs. "Expensing" is pretty easy.  "Open source" 
>vs. "Closed source" is a big can of worms.
>
>I'd love to get more developers in general to participate - whether 
>they're open or closed source doesn't matter.  But I don't know how 
>to do that, beyond what we do now.  The email lists are free and 
>open.  The physical meetings are remotely accessible for free and open.

On reading the second paragraph of the above message I see that you 
and I might have a common objective.  You mentioned that you don't 
know how to do that beyond what is done now.  I suggested a rate for 
people with an open source affiliation.  I did not define what open 
source means.  I think that you will be acting in good faith and that 
you will be able to convince your employer that it will not make you 
look good if you are listed in a category which is intended to lessen 
the burden for open source developers who currently cannot attend 
meetings or who attend meetings on a very limited budget.

We can discuss about whether a few hundred United States dollars 
makes a significant difference or we can sit by a pool and discuss 
about more interesting things.  Your colleagues will probably wonder 
why you brought more value to your company compared to them.  You 
could tell them that it is because you like strawberry ice cream as 
it is something that wills the void between rational discussion and 
all-out thermonuclear war. :-)

At 08:50 18-08-2013, Hadriel Kaplan wrote:
>I've been told, though obviously I don't know, that the costs are 
>proportional.  I assume it's not literally a "if we get one 
>additional person, it costs an additional $500".  But I assume SM 
>wasn't proposing to get just one or a few more "open source 
>developer" attendees.  If we're talking about just a few people it's 
>not worth arguing about... or doing anything about.  It would only 
>be useful if we got a lot of such attendees.

What I proposed might have an impact on just one or a few more 
persons.  The rest is left to the imagination of the reader. :-)

Regards,
-sm

---

From: John C Klensin <[email-masked]>
Date: Mon, 19 Aug 2013 09:11:25 -0400

--On Sunday, August 18, 2013 17:04 -0700 SM <[email-masked]>
wrote:

>> I'd love to get more developers in general to participate -
>> whether  they're open or closed source doesn't matter.  But I
>> don't know how  to do that, beyond what we do now.  The email
>> lists are free and  open.  The physical meetings are remotely
>> accessible for free and open.
> 
> On reading the second paragraph of the above message I see
> that you and I might have a common objective.  You mentioned
> that you don't know how to do that beyond what is done now.  I
> suggested a rate for people with an open source affiliation.
> I did not define what open source means.  I think that you
> will be acting in good faith and that you will be able to
> convince your employer that it will not make you look good if
> you are listed in a category which is intended to lessen the
> burden for open source developers who currently cannot attend

I think this is bogus and takes us down an undesirable path.
First, I note that, in some organizations (including some large
ones), someone might be working on an open source project one
month and a proprietary one the next, or maybe both
concurrently.  Would it be appropriate for such a person (or the
company's CFO) to claim the lower rate, thereby expecting those
who pay full rate to subsidize them?  Or would their involvement
in any proprietary-source activity contaminate them morally and
require them to pay the full rate?  Second, remember that "open
source" is actually a controversial term with some history of
source being made open and available, presumably for study, but
with very restrictive licensing rules associated with its
adaptation or use.

Does it count if the open source software is basically
irrelevant to the work of the IETF?  Written in, e.g., HTML5?
Do reference implementations of IETF protocols count more (if
I'm going to be expected to subsidize someone else's attendance
at the IETF, I think they should).

Shouldn't we be tying this to the discussion about IPR
preference hierarchies s.t. FOSS software with no license
requirements get more points (and bigger discounts) than BSD or
GPL software, which get more points than FRAND, and so on?

Finally, there seems to be an assumption underlying all of this
that people associated with open source projects intrinsically
have more restrictive meeting or travel budgets and policies
than those working on proprietary efforts in clearly-for-profit
organizations (especially large one).  As anyone who have lived
through a serious travel freeze or authorization escalation in a
large company knows too well, that doesn't reflect reality.

best,
   john

---

From: Hadriel Kaplan <[email-masked]>
Date: Mon, 19 Aug 2013 09:35:25 -0400

On Aug 18, 2013, at 8:04 PM, SM <[email-masked]> wrote:

> On reading the second paragraph of the above message I see that you and I might have a common objective.  You mentioned that you don't know how to do that beyond what is done now.  I suggested a rate for people with an open source affiliation.  I did not define what open source means.  I think that you will be acting in good faith and that you will be able to convince your employer that it will not make you look good if you are listed in a category which is intended to lessen the burden for open source developers who currently cannot attend meetings or who attend meetings on a very limited budget.

But my point was more that "open source" is meaningless, and not what I think we're missing/need.  I agree we need more developers (at least in RAI it would help), but whether the things they develop are open source or not doesn't matter.  Developers of open source are no better or worse than those of closed source.  And their source code "openness" is not tied to their ability to pay or not, either.

-hadriel

---

From: Scott Kitterman <[email-masked]>
Date: Mon, 19 Aug 2013 09:41:34 -0400

On Monday, August 19, 2013 09:35:25 Hadriel Kaplan wrote:
> > On reading the second paragraph of the above message I see that you and I
> > might have a common objective.  You mentioned that you don't know how to
> > do that beyond what is done now.  I suggested a rate for people with an
> > open source affiliation.  I did not define what open source means.  I
> > think that you will be acting in good faith and that you will be able to
> > convince your employer that it will not make you look good if you are
> > listed in a category which is intended to lessen the burden for open
> > source developers who currently cannot attend meetings or who attend
> > meetings on a very limited budget.
> But my point was more that "open source" is meaningless, and not what I
> think we're missing/need.  I agree we need more developers (at least in RAI
> it would help), but whether the things they develop are open source or not
> doesn't matter.  Developers of open source are no better or worse than
> those of closed source.  And their source code "openness" is not tied to
> their ability to pay or not, either.

They aren't equivalent.  A developer of a Free/Open implementation can openly 
show/discuss the code related to development issues associated with protocol 
development.  That's often more useful than hand waving about implementation 
issues that can't be shared.  Not that proprietary implementations don't 
server to inform the process at all, but it's not equivalent to what can be 
accomplished with a Free/Open implementation.

Note: I'm not claiming this should change anyone's mind about discounts.

Scott K

---

From: Vinayak Hegde <[email-masked]>
Date: Mon, 19 Aug 2013 19:40:22 +0530

> Note: I'm not claiming this should change anyone's mind about discounts.

+1 to the fact that you can openly show/discuss the code. I also want to
repeat the fact that many libraries (Apache / BSD / public domain) get
bundled into proprietary code as well (for example see how many products
ship some version of curl/zlib library). So while it is hard to define
"open source" no doubt, we as a community should look at how to get more
implementers (whose code is likely to be widely deployed). That will help
us to avoid fixing quirk down the road which is difficult and expensive. It
is a problem worth looking at.

-- Vinayak

---

From: Arturo Servin <[email-masked]>
Date: Mon, 19 Aug 2013 11:34:43 -0300

Academic might work. "Open source" not so much as other mentioned. Does
"Big Corporation" doing Open Source apply?

	I was tempted to propose "non-profit", but also there are organizations
with large budgets. And profit driven ones with not much money.

/as

On 8/18/13 6:21 AM, SM wrote:
> doubling the rate.  I am not getting into a definition of "academic" or
> "open source" [1].  It is left to the organization to determine whether
> it is a good idea to be honest or try the weasel words [2] approach.
> 
> Regards,
> -sm
> 
> to encourage open source developers to participate more effectively in
> the IETF.
>

---

From: SM <[email-masked]>
Date: Mon, 19 Aug 2013 08:48:47 -0700

Hola Arturo,
>with large budgets. And profit driven ones with not much money.

"Open source" is difficult.  As people pointed out "open source" does 
not necessarily mean free.  "open source" does not necessarily mean 
"non-profit".  I used the term loosely.  If hypothetically speaking, 
there was formal action, a clearer term might be needed.

Irrespective of my views, "big corporation" is what helps the IETF 
operate.  If "big corporation" doing open source applies it will 
become a problem for the IETF.  The main issue is why should the IETF 
subsidize a particular group.  It can also be argued that it is not 
fair to subsidize a particular group.

Regards,
-sm

---

From: SM <[email-masked]>
Date: Mon, 19 Aug 2013 12:49:34 -0700

Hi John,
>I think this is bogus and takes us down an undesirable path.

Ok.

>require them to pay the full rate?  Second, remember that "open

The above reminds me of the Double Irish with a Dutch sandwich. If I 
was an employee of a company I would pay the regular fee.  If I am 
sponsored by an open source project and my Internet-Draft will have 
that as my affiliation I would claim the lower rate.

Yes.

>at the IETF, I think they should).

This would require setting a demarcation line.  That isn't always a clear line.

A subsidy is a grant or other financial assistance given by one party 
for the support or development of another.  If the lower rate is 
above meeting costs it is not a subsidy.

>GPL software, which get more points than FRAND, and so on?

No. :-)

Regards,
-sm

---

From: John C Klensin <[email-masked]>
Date: Mon, 19 Aug 2013 18:08:00 -0400

--On Monday, August 19, 2013 12:49 -0700 SM <[email-masked]>
wrote:

>...
>> First, I note that, in some organizations (including some
>> large ones), someone might be working on an open source
>> project one month and a proprietary one the next, or maybe
>> both
>> concurrently.  Would it be appropriate for such a person (or
>> the company's CFO) to claim the lower rate, thereby expecting
>> those who pay full rate to subsidize them?  Or would their
>...

> The above reminds me of the Double Irish with a Dutch
> sandwich. If I was an employee of a company I would pay the
> regular fee.  If I am sponsored by an open source project and
> my Internet-Draft will have that as my affiliation I would
> claim the lower rate.

Without understanding your analogy (perhaps a diversity
problem?), if you are trying to make a distinction between
"employee of a company" and "sponsored by an open source
project", that distinction just does not hold up.  I'm
particular, some of the most important reference implementations
of Internet protocols -- open source, freely available and
usable, well-documented, openly tested, etc.-- have come out of
"companies", even for-profit companies.

If the distinction you are really trying to draw has to do with
poverty or the lack thereof, assuming that, if a large company
imposes severe travel restrictions, its employees should pay
full fare if they manage to get approval, then you are back to
Hadriel's suggestion (which more or less requires that someone
self-identify as "poor") or mine (which involves individual
self-assessment of ability to pay without having to identify the
reasons or circumstances).
 
>> I'm going to be expected to subsidize someone else's
>> attendance at the IETF, I think they should).
> 

What I'm trying to suggest is that the line will almost always
be unclear and will require case by case interpretation by
someone other than the would-be participant.  I continue to find
any peer evaluation model troubling, especially as long as the
people and bodies who are likely to made the evaluations are
heavily slanted toward a narrow range of participants (and that
will be the case as long as those leadership or evaluation roles
require significant time over long periods).

> A subsidy is a grant or other financial assistance given by
> one party for the support or development of another.  If the
> lower rate is above meeting costs it is not a subsidy.

I note that you used that term in a later message,  More
important, I believe the IAOC has repeatedly assured us that, at
least over a reasonable span of meetings, they never seek to
make a profit on registration fees.  Indeed, I suspect that,
with reasonable accounting assumptions, meetings are always a
net money-loser although not my much and more than others.  Any
decision that some people are going to pay less than others
(including the reduced fee arrangements we already have) is a
decision that some people and groups are going to bear a higher
share of the costs than others.  And that is a subsidy, even by
your definition above.

best,
   john

---

From: Scott Kitterman <[email-masked]>
Date: Mon, 19 Aug 2013 18:25:09 -0400

> share of the costs than others.  And that is a subsidy, even by

Speaking as someone who is self-employed and a Free/Open Source software 
developer:

The actual price of the IETF admission is the smallest part of the economic 
burden associated with attendance.  It's not just the travel/hotel (as John 
Levine mentioned), but also consulting revenue forgone.  Even if the price 
were zero, it wouldn't materially affect my willingness to take time off and 
travel to an IETF meeting.  Even though I've participated in several IETF 
working groups, I've never been to a meeting and really don't expect to come.  
The value proposition isn't there (for me).

I have participated remotely and it was ~fine.  Taking an hour out of my day 
for something I'm interested in has a completely different cost/benefit ratio 
that a week of travel.  For someone who's used to participating in distributed 
development efforts, an IETF working group session isn't so hard to do as long 
as the people in the room are mindful of the remote participants.

I wouldn't worry too much about finding a special rate for F/OSS developers.  
The only time it might make a difference, IME, is for people who are local to 
the meeting venue and the IETF should already be working on attracting local 
participants, F/OSS developers or not.

Scott K

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Tue, 20 Aug 2013 04:49:59 -0400

On Mon, Aug 19, 2013 at 11:48 AM, SM <[email-masked]> wrote:

> "Open source" is difficult.  As people pointed out "open source" does not
> necessarily mean free.  "open source" does not necessarily mean
> "non-profit".  I used the term loosely.  If hypothetically speaking, there
> was formal action, a clearer term might be needed.
>
> operate.  If "big corporation" doing open source applies it will become a
> problem for the IETF.  The main issue is why should the IETF subsidize a
> particular group.  It can also be argued that it is not fair to subsidize a
> particular group.
>

If getting open source implementations is a desirable goal then the way to
address that goal is for ISOC or other parties with funds to provide
bursaries to the developers. Isn't that the reason they got the $$$ .org
money?

---

From: Abdussalam Baryun <[email-masked]>
Date: Sun, 25 Aug 2013 22:39:48 +1000

Hi Hadriel,

I agree that charging IETF participants with any money is not a good idea,
but charging participants with some effort/work/contribution to do is
needed. For example, participants SHOULD do some work in IETF, either
review, authoring, attending-meetings, commenting on lists, etc. Otherwise
the IETF will not develop. If someone just subscribe to the list with no
contribution, that I will not call a participant. The reward/motivation
from IETF to participants is to acknowledge in writting their efforts,
which I think still the IETF management still does not motivate/encourage.

IETF Remote Participants (IETFRP) SHOULD charge the IETF not the other way,
because still the IETF ignores some IETFRP efforts (or even hides
information that should be provided to the diverse community).

AB

On Fri, Aug 16, 2013 at 11:10 PM, Hadriel Kaplan
<[email-masked]>wrote:

> participants any fee is a really terrible idea.  One of the really great
> things about the IETF is its open and free (as in beer) participation
> policy.  The real work is supposed to be done on mailing lists, and there's
> no charge or restriction on who can send emails.  That policy is actually
> quite rare for standards bodies, and makes our output better not worse.
>
> Obviously we discuss things and do real work at physical meetings too, and
> they're not simply social occasions.  At the end of the day we actually
> want people to come to the physical meetings, but the realities of life
> make that impossible for many.  But charging remote participants for better
> tools/experience isn't the answer.  At least for me, whenever I'm
> discussing a draft mechanism I actually *want* input from remote
> participants.  I don't want it to be only from folks who can afford to
> provide input.  I want it from people who can't get approval for even a
> $100 expense, from people who are between jobs, people from academia, and
> even from just plain ordinary users rather than just vendors or big corps.
>  At one time we worried that free remote participation would lead to too
> many random participants to get work done, but that hasn't become a problem
> afaict.  Please don't whittle it down further to only those who can afford
> it.
>
> I would do anything whatsoever to avoid charging remote participants, even
> if it means raising the fee for f2f attendees to subsidize
> In that vein, I think a lot of the f2f attendees get our reg-fee paid by
> our employer and another $50 or even $100 isn't going to make a bit of
> difference for us - for those whom it would make a difference, I'd create
> another category of f2f registration fee like 'Self-paying Attendee' or
> some such.  Selecting the new category would drop your fee by the $50 or
> $100, but wouldn't change what gets displayed on your badge or anything.
>  It would be purely optional, with no guilt attached for not paying it and
> no visible difference to anyone else.  Just put some words on the
> registration form page saying something like "If you cannot expense your
> registration fee, please select the 'Self-paying Attendee' category" or
> something like that.  Or make it some checkbox thingy.  I believe the
> majority of folks who can expense it will not have difficulty expensing a
> 'Regular Attendee' charge so long as it doesn't say we opted to pay more.
>
> -hadriel
>
> p.s. Even from a purely practical standpoint, charging remote participants
> raises a lot of issues - we debate incessantly just about the f2f day-pass,
> and that's nothing compared to this.  For example: if things break during
> the meeting session, do we re-imburse them?  Do we pro-rate the
> re-imbursement based on how many of their meetings had technical issues
> with audio or video?  Do we charge a flat fee for the whole week of
> meetings, or just charge per meeting session, or depending on how long the
> session is?  Do we charge students a different rate, like we do f2f
> reg-fees?  Do we need to provide tech support with a specific SLA?  This
> while thing is a can of worms.  It's not worth it.
>
>

---

From: Hadriel Kaplan <[email-masked]>
Date: Sun, 25 Aug 2013 10:42:33 -0400

On Aug 25, 2013, at 8:39 AM, Abdussalam Baryun <[email-masked]> wrote:

> I agree that charging IETF participants with any money is not a good idea, but charging participants with some effort/work/contribution to do is needed. For example, participants SHOULD do some work in IETF, either review, authoring, attending-meetings, commenting on lists, etc. Otherwise the IETF will not develop. If someone just subscribe to the list with no contribution, that I will not call a participant.

When I and others have been using the word "participants", we've been talking about the ones who do actively contribute - by reviewing the drafts and providing their input in email or at the mic or in jabber, or by submitting their own drafts, or providing text, etc.  

Of course there are plenty of folks who merely monitor, and that's fine too, but yeah it's not useful for improving our drafts.  But those aren't the "remote participants" I was talking about.

> The reward/motivation from IETF to participants is to acknowledge in writting their efforts, which I think still the IETF management still does not motivate/encourage.

For the WG's I've been involved in, the WG drafts often do acknowledge major contributors in the "Acknowledgements" section.  But yeah it's not always done, or people are sometimes left out.  Having authored a few myself, I find it's actually quite hard to keep track of contributors.  And I always feel bad if I forget someone. :(

If we really feel that's a problem there are some simple solutions to it - the same problem occurs for open source software and they have simple solutions for it.  But I'm not sure it really is a problem worth fixing.  My belief is the motivation to participate should be: for the benefit of everyone; and for the benefit of the contributor in using or implementing it, by making the mechanism/protocol work better for them and their needs.

Putting names in the RFC doesn't feel to me like a thing we should use for the purpose of motivation, but rather just to acknowledge those who went above-and-beyond and were major contributors.  No?

> IETF Remote Participants (IETFRP) SHOULD charge the IETF not the other way, because still the IETF ignores some IETFRP efforts (or even hides information that should be provided to the diverse community).

I have never seen the IETF "hide information that should be provided to the diverse community".  That's a pretty serious charge, and you'll have to provide some examples to back it up, because I don't believe it.

The only way to do that would be to prevent postings on our mailing lists.  I know we have blocked/removed some mailing list subscribers in the past, but those were very rare occasions and debated quite a bit before-hand in an open manner (see RFC 3683).  For some obvious cases we don't need to discuss it before-hand (see RFC 3005).  The IETF is not lacking for paranoia regarding such things... so I don't think we're in danger of doing what you fear.

-hadriel

---

From: Janet P Gunn <[email-masked]>
Date: Mon, 26 Aug 2013 11:57:07 -0400

> From: Abdussalam Baryun <[email-masked]>
> Date: 08/25/2013 08:40 AM
> 
> ...
> The reward/motivation from IETF to participants is to 
> acknowledge in writting their efforts, which I think still the IETF 
> management still does not motivate/encourage. 

I COMPLETELY disagree with this.  The reward/motivation for participation 
(remotely or in person) is to have your comments, ideas, suggestions,... 
TAKEN SERIOUSLY, even if the eventual decision goes "against you".

Of course, that presupposes that  your comments are sensible, and show 
that you understand the context.

It is the specific authors, and not "the IETF" that determines who gets 
mentioned in the "Acknowledgements" section.  In the working groups I am 
involved with, I have found the authors to be very generous with 
acknowledgements.  Sometimes I have been acknowledged when my comments 
were primarily editorial and clarification, without actually adding any 
new ideas.  Of course, there have been one or two  times that I have 
thought I made a contribution, but didn't get mentioned.  That is the 
author's choice.

As my mother used to say "What you lose on the roundabouts you gain on the 
swings"

>  
> IETF Remote Participants (IETFRP) SHOULD charge the IETF not the 
> other way, because still the IETF ignores some IETFRP efforts (or 
> even hides information that should be provided to the diverse 
community).

I have never felt "ignored" as a remote participant.  Sometimes 
misunderstood because there is little opportunity to expand and explain 
when you are remote.  But never ignored.

I have no idea what you mean by "hides information".  Are you suggesting 
that someone is censoring mailing list posts?

Janet

---

From: Mikael Abrahamsson <[email-masked]>
Date: Mon, 26 Aug 2013 18:44:52 +0200 (CEST)

> that someone is censoring mailing list posts?

It's my experience that different WG mailing lists handle remote 
participation very differently. I have put it down to a difference in 
common working method of the people participating in different WGs. Some 
WGs tend to accumulate people who are very used to remote participation 
and discussion, others seem to accumulate people who have a different 
history so they tend to handle posts very differently.

Perhaps that's why the view on how well this works is so different between 
different people?

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Dave Aronson <[email-masked]>
Date: Mon, 26 Aug 2013 12:54:51 -0400

> TAKEN SERIOUSLY, even if the eventual decision goes "against you".

Amen.  It also fits very well with the standard "engineer mentality",
especially those tired of banging heads against managerial brick walls
at day-jobs.

I've also participated in assorted WGs because I wanted to *learn*
what an upcoming standard was (probably) going to look like.
Sometimes I didn't have ideas to contribute, sometimes I didn't even
fully grok the context... but I still consider myself (to have been) a
"remote participant", at least for keeping up on it and being willing
(if not always able) to offer ideas.

As for being acked in writing, I'll grant Abdussalam that it's nice.
It was a fun little ego-boost (and resume-boost!) when I was credited
in a draft, and especially when that became an RFC.  However, that's
not at all why I did it.  It was more like "I've been tasked to
implement something using this standard, let's see what it says, oh
the IETF is debating the next version, let's see what they're
saying"... and when I couldn't help opening my fat trap, they liked
what I said.  Who'da thunk it?  <:*)

> As my mother used to say "What you lose on the roundabouts
> you gain on the swings"

I had to go Google that.  To save others the trouble: it seems to
refer to rides at a carnival, and mean "whatever losses you suffer in
one place, you usually make up elsewhere", implying that it all
balances out in the end.

-Dave

-- 
Dave Aronson, the T. Rex of Codosaurus LLC,
secret-cleared freelance software developer
taking contracts in or near NoVa or remote.
See information at http://www.Codosaur.us/.

---

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 26 Aug 2013 10:21:05 -0700

Hi -

> From: "Dave Aronson" <[email-masked]>
> To: "IETF Discussion Mailing List" <[email-masked]>; "Janet P Gunn" <[email-masked]>
> Sent: Monday, August 26, 2013 9:54 AM
> Subject: Re: Charging remote participants
... 
> one place, you usually make up elsewhere", implying that it all

I had to google it as well.  The word "roundabout" (in the
sense of "traffic circle") led me to mistakenly think it
had something to do with navigating British streets, but
this seems to be where the idiom comes from:
http://www.oldpoetry.com/Patrick_R_Chalmers/Roundabouts_and_Swings

Randy

---

From: Janet P Gunn <[email-masked]>
Date: Mon, 26 Aug 2013 14:56:50 -0400

> one place, you usually make up elsewhere", implying that it all

Oh dear, I didn't realize it was that obscure.

Yes, "you win some, you lose some, but in the end it balances out"

Or "sometimes you are the dog, and sometimes you are the fire hydrant"

It refers to carnivals or fairs.

Roundabouts are merry-go-rounds.

Swings are aka swingboats. and do a full 360 degree rotation.  Wikipedia 
calls them Pirate Ship (Ride) 
http://en.wikipedia.org/wiki/Pirate_ship_(ride)

Janet

---

From: Janet P Gunn <[email-masked]>
Date: Mon, 26 Aug 2013 15:08:33 -0400

> From: "Randy Presuhn" <[email-masked]>

> http://www.oldpoetry.com/Patrick_R_Chalmers/Roundabouts_and_Swings

I am pretty sure that the usage of "roundabout" to refer to a traffic 
circle is derived from its usage as a carnival ride, which in the US would 
be called a  "merry-go-round".

Janet

---

From: Arturo Servin <[email-masked]>
Date: Mon, 26 Aug 2013 19:25:10 -0300

Now I get it!!

	A Spanglish translation would be "It depends how the rides in the
carnival goes for you" ("Depende como te va en la feria")

/as

<sorry for the offtopic>